export class Logger {
    constructor(logLevel = 1 /* LogLevel.INFO */) {
        this._logLevel = logLevel;
    }
    setLogLevel(logLevel) {
        this._logLevel = logLevel;
    }
    setLogLevelString(logLevel) {
        switch (logLevel.toLowerCase()) {
            case 'debug':
                this._logLevel = 0 /* LogLevel.DEBUG */;
                break;
            case 'info':
                this._logLevel = 1 /* LogLevel.INFO */;
                break;
            case 'warn':
                this._logLevel = 2 /* LogLevel.WARN */;
                break;
            case 'error':
                this._logLevel = 3 /* LogLevel.ERROR */;
                break;
            case 'none':
                this._logLevel = 4 /* LogLevel.NONE */;
                break;
            default:
                this._logLevel = 1 /* LogLevel.INFO */;
                break;
        }
    }
    debug(message, ...args) {
        if (this._logLevel <= 0 /* LogLevel.DEBUG */) {
            console.log(`[DEBUG] ${message}`, ...args);
        }
    }
    info(message, ...args) {
        if (this._logLevel <= 1 /* LogLevel.INFO */) {
            console.log(`[INFO] ${message}`, ...args);
        }
    }
    warn(message, ...args) {
        if (this._logLevel <= 2 /* LogLevel.WARN */) {
            console.log(`[WARN] ${message}`, ...args);
        }
    }
    error(message, ...args) {
        if (this._logLevel <= 3 /* LogLevel.ERROR */) {
            console.log(`[ERROR] ${message}`, ...args);
        }
    }
}
