import * as z from 'zod';
// TODO: Maybe add all manifest options, then add a CLI feature to
// verify the manifest against the schema.
export const manifestSchema = z.object({
    startup_app: z.optional(z.object({
        name: z.optional(z.string()),
        uuid: z.optional(z.string()),
        url: z.optional(z.string()),
        saveWindowState: z.optional(z.boolean()),
        autoShow: z.optional(z.boolean()),
    })),
    platform: z.optional(z.object({
        uuid: z.optional(z.string()),
        name: z.optional(z.string()),
        autoShow: z.optional(z.boolean()),
    })),
    runtime: z.optional(z.object({
        version: z.optional(z.string()),
    })),
    snapshot: z.optional(z.any()),
    licenseKey: z.optional(z.string()),
    devtools_port: z.optional(z.number()),
});
